# _wsse__SecurityTokenReference Struct Reference

This element defines the wsse:SecurityTokenReference per Section 4.3. Imported element _wsse__SecurityTokenReference from typemap WS/WS-typemap.dat. More...

`#include <wsse.h>`

Collaboration diagram for _wsse__SecurityTokenReference:

[legend]
List of all members.

## Public Attributes

_wsse__Reference * | Reference
_wsse__KeyIdentifier * | KeyIdentifier
_wsse__Embedded * | Embedded
char * | wsu__Id
char * | Usage

## Detailed Description

This element defines the wsse:SecurityTokenReference per Section 4.3. Imported element _wsse__SecurityTokenReference from typemap WS/WS-typemap.dat.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReferenceType.

## Member Data Documentation

struct _wsse__Embedded* _wsse__SecurityTokenReference::Embedded

struct _wsse__KeyIdentifier* _wsse__SecurityTokenReference::KeyIdentifier

struct _wsse__Reference* _wsse__SecurityTokenReference::Reference

char* _wsse__SecurityTokenReference::Usage

char* _wsse__SecurityTokenReference::wsu__Id

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/wsse.h